org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class SharedPageLockTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.SharedPageLockTracker

    public class SharedPageLockTracker
    extends Object

### Field Summary

Fields
`static int` `DFLT_PAGE_LOCK_TRACKER_CHECK_INTERVAL`
`int` `threadLimits`

### Constructor Summary

Constructors
Constructor and Description
`SharedPageLockTracker()`
`SharedPageLockTracker(Consumer<Set<org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockThreadState>> hangThreadsCallBack, MemoryCalculator memCalc)`
`SharedPageLockTracker(int threadLimits, int timeOutWorkerInterval, Consumer<Set<org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockThreadState>> hangThreadsCallBack, MemoryCalculator memCalc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SharedPageLockTrackerDump` `dump()` Creates dump.
`PageLockListener` `registerStructure(String structureName)`
`void` `start()` Starts background worker.
`void` `stop()` Stops background worker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_PAGE_LOCK_TRACKER_CHECK_INTERVAL

    public static final int DFLT_PAGE_LOCK_TRACKER_CHECK_INTERVAL

See Also:
  `IgniteSystemProperties.IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL`, Constant Field Values

#### threadLimits

    public final int threadLimits

### Constructor Detail

#### SharedPageLockTracker

    public SharedPageLockTracker()

#### SharedPageLockTracker

    public SharedPageLockTracker(Consumer<Set<org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockThreadState>> hangThreadsCallBack,
                                 MemoryCalculator memCalc)

#### SharedPageLockTracker

    public SharedPageLockTracker(int threadLimits,
                                 int timeOutWorkerInterval,
                                 Consumer<Set<org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockThreadState>> hangThreadsCallBack,
                                 MemoryCalculator memCalc)

### Method Detail

#### registerStructure

    public PageLockListener registerStructure(String structureName)

#### dump

    public SharedPageLockTrackerDump dump()

Creates dump.

#### start

    public void start()

Starts background worker.

#### stop

    public void stop()

Stops background worker.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023